<div *ngIf="step === 0">
    <div class="table" *ngIf="gridData">
        <app-table #tableA  [headers]="headers" [ids]="ids" [data]="gridData"  ></app-table>
    </div>
    
    <div class="btns">
        <button mat-raised-button color="link"  matTooltip="Cerrar" aria-label="Cerrar dialogo" (click)="close()">
            Cerrar
        </button>
    
        <button *ngIf ="data.isShoppingFinished" mat-raised-button color="primary"  matTooltip="Aceptar" aria-label="Aceptar" (click)="showQr()">
            Aceptar
        </button>
    </div>
</div>

<div class="qr" *ngIf="step === 1">
    <h1>Pidele al cliente escanear el código para finalizar la compra.</h1>
    <div  class="code">
        <qrcode [qrdata]="qrData" [width]="256" [errorCorrectionLevel]="'M'"></qrcode>
    </div>
    <button mat-raised-button color="primary"  matTooltip="Cerrar" aria-label="Cerrar dialogo" (click)="close()">
        Cerrar
    </button>
</div>
